add openssh package, sshd does not work. why?
[openwrt/svn-archive/archive.git] / openwrt / package / openssh / patches / cross-compile.patch
diff --git a/openwrt/package/openssh/patches/cross-compile.patch b/openwrt/package/openssh/patches/cross-compile.patch
new file mode 100644 (file)
index 0000000..7178e32
--- /dev/null
@@ -0,0 +1,103 @@
+diff -Nur openssh-4.0p1/configure openssh-4.0p1.patched/configure
+--- openssh-4.0p1/configure    2005-03-09 05:54:16.000000000 +0100
++++ openssh-4.0p1.patched/configure    2005-06-02 13:35:06.000000000 +0200
+@@ -5524,7 +5524,7 @@
+ *-*-linux*)
+       no_dev_ptmx=1
+       check_for_libcrypt_later=1
+-      check_for_openpty_ctty_bug=1
++      check_for_openpty_ctty_bug=0
+       cat >>confdefs.h <<\_ACEOF
+ #define DONT_TRY_OTHER_AF 1
+ _ACEOF
+@@ -12810,90 +12810,6 @@
+ fi
+ fi
+-if test ! -z "$check_for_openpty_ctty_bug"; then
+-      echo "$as_me:$LINENO: checking if openpty correctly handles controlling tty" >&5
+-echo $ECHO_N "checking if openpty correctly handles controlling tty... $ECHO_C" >&6
+-      if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-/* confdefs.h.  */
+-_ACEOF
+-cat confdefs.h >>conftest.$ac_ext
+-cat >>conftest.$ac_ext <<_ACEOF
+-/* end confdefs.h.  */
+-
+-#include <stdio.h>
+-#include <sys/fcntl.h>
+-#include <sys/types.h>
+-#include <sys/wait.h>
+-
+-int
+-main()
+-{
+-      pid_t pid;
+-      int fd, ptyfd, ttyfd, status;
+-
+-      pid = fork();
+-      if (pid < 0) {          /* failed */
+-              exit(1);
+-      } else if (pid > 0) {   /* parent */
+-              waitpid(pid, &status, 0);
+-              if (WIFEXITED(status))
+-                      exit(WEXITSTATUS(status));
+-              else
+-                      exit(2);
+-      } else {                /* child */
+-              close(0); close(1); close(2);
+-              setsid();
+-              openpty(&ptyfd, &ttyfd, NULL, NULL, NULL);
+-              fd = open("/dev/tty", O_RDWR | O_NOCTTY);
+-              if (fd >= 0)
+-                      exit(3);        /* Acquired ctty: broken */
+-              else
+-                      exit(0);        /* Did not acquire ctty: OK */
+-      }
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-
+-                      echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
+-
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-
+-                      echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-                      cat >>confdefs.h <<\_ACEOF
+-#define SSHD_ACQUIRES_CTTY 1
+-_ACEOF
+-
+-
+-
+-fi
+-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-fi
+ if test "x$ac_cv_func_getaddrinfo" = "xyes" -a "x$check_for_hpux_broken_getaddrinfo" = "x1"; then
+       echo "$as_me:$LINENO: checking if getaddrinfo seems to work" >&5